#!/bin/sh
#
# Component: etc
#
# Description:
#   generates var/conf/crontabSchedule.shi from var/conf/crontabSchedule.cfg and etc/crontabSchedule.cfg
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#


# Include setenv.sh if exists
[ -f "$HOME/etc/setenv.sh" ] && . $HOME/etc/setenv.sh

# Set CONF for the case setenv.sh does not exist yet
[ -z "$CONF" ] && CONF="$HOME/var/conf"

# Set ETC for the case setenv.sh does not exist yet
[ -z "$ETC" ] && ETC="$HOME/etc"

files=""
if [ -f "$CONF/crontabSchedule.cfg" ] ; then
	files="$files $CONF/crontabSchedule.cfg"
fi


if [ -f "$ETC/crontabSchedule.cfg" ] ; then
	files="$files $ETC/crontabSchedule.cfg"
else
	echo "WARNING: $ETC/crontabSchedule.cfg is missing!!!" >&2
fi

if [ -z "$files" ] ; then
	echo "ERROR: No crontabSchedule.cfg found" >&2
	exit 1
fi


if [ ! -x "$ETC/parseCronConfig.awk" ] ; then
	echo "ERROR: $ETC/parseCronConfig.awk is missing or not executable" >&2
	exit 1
fi

cat <<-ENDOFCOMMENTS > $CONF/crontabSchedule.shi.$$
	#
	#
	#
	# DO NOT EDIT THIS FILE.
	#
	# THIS FILE IS GENERATED FROM $files
	#
	# TO CHANGE VALUES IN THIS FILE EDIT $CONF/crontabSchedule.cfg
	#
	#
	#

ENDOFCOMMENTS

$ETC/parseCronConfig.awk $files >> $CONF/crontabSchedule.shi.$$
if [ $? -ne 0 ] ; then
	echo "ERROR: An error occured while generating $CONF/crontabSchedule.shi" >&2
	rm -f $CONF/crontabSchedule.shi.$$ 2>/dev/null
	exit 1
fi

mv $CONF/crontabSchedule.shi.$$ $CONF/crontabSchedule.shi

exit 0
